/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Aula;
import pe.siso.horario.Beans.ReporteEncuesta;

/**
 *
 * @author fcelestino
 */
public interface ReporteEncuestaDAO {
    public ArrayList<ReporteEncuesta> listarPeriodoHorario() throws Exception;
    public ArrayList<ReporteEncuesta> listarPeriodoEncuesta(String periodoHorario) throws Exception;
    public ArrayList<ReporteEncuesta> listarDocentes(String periodoH,String periodoE) throws Exception;    
    public ArrayList<ReporteEncuesta> listarDias(String periodoH,String Docente) throws Exception;
    public ArrayList<ReporteEncuesta> listarGrupoAula(String periodoH,String Docente) throws Exception;
    public ArrayList<Aula> listarAulaPorGrupo(String cadenaAula) throws Exception;
    public ArrayList<ReporteEncuesta> puntajeDocente(String codPeriodoE,String codDocente,String cadenaAula,String codigoAula) throws Exception;
    
    // ------------------  17-05-2016 ------------------ //
    
    public ArrayList<ReporteEncuesta> listarDocentesEncuesta(String periodoH,String periodoE) throws Exception;
    public int cantidadListaDocentesEncuesta(String periodoH,String periodoE,String codigoDocente) throws Exception;
    public ArrayList<ReporteEncuesta> listarDocentesEncuesta(String periodoH,String periodoE, String codigoDocente) throws Exception;
    public ArrayList<ReporteEncuesta> listarDocentesEncuesta(String periodoH,String periodoE, String codigoDocente,int inicio,int cantidad) throws Exception;
    public ArrayList<ReporteEncuesta> listarGrupoAula2(String periodoH,String codigoDocente) throws Exception;
    public ArrayList<ReporteEncuesta> puntajeDocente(String codPeriodoE,String codDocente,String cadenaAula) throws Exception;
}
